/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import static androidx.build.dependencies.DependenciesKt.*
import androidx.build.LibraryGroups
import androidx.build.LibraryVersions
import androidx.build.SupportLibraryExtension;

plugins {
    id("SupportJavaLibraryPlugin")
    id("kotlin")
}

dependencies {
    compile(SUPPORT_ANNOTATIONS)
    compile(project(":arch:core-common"))

    testCompile(JUNIT)
    testCompile(MOCKITO_CORE)
    testCompile(KOTLIN_STDLIB)
}

supportLibrary {
    name = "Android Paging-Common"
    publish = true
    mavenVersion = LibraryVersions.PAGING
    mavenGroup = LibraryGroups.PAGING
    inceptionYear = "2017"
    description = "Android Paging-Common"
    url = SupportLibraryExtension.ARCHITECTURE_URL
}
